Bug 737736 - Version create: error messages should show the exact reason of failing.
Version create: error messages should show the exact reason of failing.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4-RC
Unspecified Unspecified
low Severity low
: ---
: 1.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 21:07 EDT by Ding-Yi Chen
Modified: 2013-02-27 03:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120720-0026)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 03:11:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-09-12 21:07:38 EDT
Description of problem:
When fail to create version, zanata shows "This slug is not available".

It will be better if zanata show the exact reason of failing, such as:
"The format of the ID is not correct"
"The Version ID has been used in this project"
"Cannot connect to server"
"You do not have permission to create version"

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT (20110906-1403)

How reproducible:
Always

Steps to Reproduce:
1. Create a project "Proj"
2. Under "Proj", create a version "1"
3. Create a version, whose ID is also "1"
  
Actual results:
Error message: "This slug is not available".

Expected results:
"The Version ID has been used in this project"

Additional info:
Comment 2 Ding-Yi Chen 2012-06-07 00:54:45 EDT
Tested with Zanata version 1.6.1-SNAPSHOT (20120606-0019)

Actual result:
This Version ID is not available

Expected results:
"The Version ID has been used in this project"

REASSIGNED.
Comment 3 Alex Eng 2012-06-17 20:15:07 EDT
Changed message to "The Version ID has been used in this project"

See https://github.com/zanata/zanata/commit/9c5dbc2d49870aa8e8b1c4ea59e0b00cc54103cc
Comment 4 Ding-Yi Chen 2012-07-19 22:12:06 EDT
VERIFIED with Zanata version 1.7-SNAPSHOT (20120720-0026)

Note You need to log in before you can comment on or make changes to this bug.